com.mockobjects.servlet

## Class MockServletInputStream

- java.lang.Object
- - ServletInputStream
  - - com.mockobjects.servlet.MockServletInputStream

- All Implemented Interfaces:
    Verifiable

      public class MockServletInputStream
      extends ServletInputStream
      implements Verifiable

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `MockServletInputStream()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `int` | `read()`
    `void` | `setupRead(byte[] data)`
    `void` | `verify()` Throw an AssertionFailedException if any expectations have not been met.

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### MockServletInputStream

          public MockServletInputStream()

  - ### Method Detail

    - #### verify

          public void verify()

      Description copied from interface: `Verifiable`
      Throw an AssertionFailedException if any expectations have not been met.
      Specified by:
        `verify` in interface `Verifiable`

    - #### setupRead

          public void setupRead(byte[] data)

    - #### read

          public int read()

Copyright © 2002 Mock Objects. All Rights Reserved.